use lib '.';
use strict;
use warnings;

use inc::Module::Install;

# Definition.
abstract 'Processing Wikidata Query Service SPARQL result.';
author 'Michal Josef Spacek <skim@cpan.org>';
author_requires 'English' => 0;
author_requires 'File::Object' => 0.05;
author_requires 'Test::More' => 0;
author_requires 'Test::NoWarnings' => 0;
author_requires 'Test::Pod' => 0;
author_requires 'Test::Pod::Coverage' => 0;
license 'bsd';
name 'WQS-SPARQL-Result';
perl_version 5.006002;
readme_from 'Result.pm';
recursive_author_tests('xt');
requires 'Class::Utils' => 0.03;
requires 'Data::Printer' => 0;
requires 'Error::Pure' => 0.15;
requires 'URI' => 0;
resources 'bugtracker' => 'https://github.com/michal-josef-spacek/WQS-SPARQL-Result/issues',
resources 'homepage' => 'https://github.com/michal-josef-spacek/WQS-SPARQL-Result';
resources 'repository' => 'git://github.com/michal-josef-spacek/WQS-SPARQL-Result';
test_requires 'English' => 0;
test_requires 'Error::Pure::Utils' => 0;
test_requires 'File::Object' => 0;
test_requires 'JSON::XS' => 0;
test_requires 'Perl6::Slurp' => 0;
test_requires 'Test::More' => 0;
test_requires 'Test::NoWarnings' => 0;
test_requires 'Unicode::UTF8' => 0;
tests_recursive;
version '0.03';

# Run.
WriteAll();
